• Welcome to Simple Machines Community Forum. Please login or sign up.
October 18, 2021, 02:31:06 PM

News:

Want to get involved in developing SMF, then why not lend a hand on our github!


SMF 2.0.10/1.1.21 Released

Started by Oldiesmann, April 24, 2015, 02:09:00 PM

Previous topic - Next topic

Oldiesmann

April 24, 2015, 02:09:00 PM Last Edit: September 18, 2015, 10:56:25 PM by Oldiesmann
Please do not use this topic for support requests.
You will receive a much quicker and better response by posting in the relevant support board!



Dear Members,

Simple Machines Forum has released a new patch to both the 1.1.x and 2.0.x line, bringing our latest release versions to 1.1.21/2.0.10

This patch is a bug fix release, which focuses on solving the problems that our members reported since the release of the previous versions. Please check the changelog for additional details.

If you are running version 2.0.9/1.1.20, you can update your forum to the latest version by using the package manager. As usual, you should see the upgrade notification in the admin panel and in the package manager, which will allow you to download and install the patch seamlessly.  If you don't see the notification about the update, please run the scheduled task "Fetch Simple Machines files".  You can also download the patch from our customization site and then install it from the package manager like any other mod package.

If you use older versions of SMF, you can upgrade by using the full upgrade archive for version 1.1.21/2.0.10 from the downloads page. Be aware that using this upgrade method will require you to reinstall any customization you added to your forum.

You can also view the change log for the latest release, as usual, on the downloads page.

Note that two new language strings have been added for the Manage Paid Subscriptions area in 2.0.10, so if you are using a language other than English, you will need to download the appropriate language packs again.

If you are having problems downloading the patch from the admin panel, you can download the package from the upgrade patches page and install it like a mod as instructed above.

Please refer to the Online Manual for more details about:
* upgrading
* patching


Thank you for using SMF!

Regards,
Simple Machines Forum
Michael Eshom
Cincy Space - now open!

Looking

Thanks for the continued updates.

Horme Gaming

something wrong with the packages ... the upgrade only has ssi.php

Horme Gaming

both upgrade and install are same size with only ssi.php

Both served from atlanta server

edit all packages are iffy for upgare and install

LiroyvH

Thanks for reporting, devs already noticed. Oldies is re-uploading them as we speak; something went wrong with the copy from the build server.
((U + C + I)x(10 − S)) / 20xAx1 / (1 − sin(F / 10))
President/CEO of Simple Machines - Server Manager
Please do not PM for support - anything else is usually OK.

Horme Gaming

i know I pestered oldies who didnt believe me :P

Oldiesmann

April 24, 2015, 03:05:30 PM #6 Last Edit: April 25, 2015, 01:36:32 AM by Oldiesmann
Quote from: Poύνικ on April 24, 2015, 02:57:29 PM
i know I pestered oldies who didnt believe me :P

I did believe you. I was just busy trying to figure out a good solution :P

Here are the 1.1 packages. The 2.0 packages will be attached in the next post.
Archives are available on the download site now.
Michael Eshom
Cincy Space - now open!

Horme Gaming

Quote from: Oldiesmann on April 24, 2015, 03:05:30 PM
Quote from: Poύνικ on April 24, 2015, 02:57:29 PM
i know I pestered oldies who didnt believe me :P

I did believe you. I was just busy trying to figure out a good solution :P


sounds better if you didnt :P

LiroyvH

Replaced the packages and changed the server configuration, the packages should download as expected now.
It may take a few minutes before the patch shows up on the cust site link.

Thank you
((U + C + I)x(10 − S)) / 20xAx1 / (1 − sin(F / 10))
President/CEO of Simple Machines - Server Manager
Please do not PM for support - anything else is usually OK.

Horme Gaming

packages on the mirror are sorted :)

Adrek

Nice work :)

Small problem, smf_2-0-10_upgrade.zip has all files from full install. Something went wrong ::)
Polskie wsparcie SMF na simplemachines.org

the simplest solution is most likely the right one

Kindred

no it does not.

I just downloaded.
smf_2-0-10_upgrade
has only the files needed for the full upgrade.
Please do not PM, IM or Email me with support questions.  You will get better and faster responses in the support boards.  Thank you.

"Loki is not evil, although he is certainly not a force for good. Loki is... complicated."

Chen Zhen


It seems one minor discrepancy was overlooked for the first edit to ./Themes/default/languages/index.english.php
it looks for:

// Version: 2.0.8;


It is showing an error for me during the install.
The line reads:

// Version: 2.0.8; index


The xml file looks like it should replace the first bit of code from that line without issue but it is throwing an error for me.

Regards.

My SMF Mods & Plug-Ins

WebDev


"Either you repeat the same conventional doctrines everybody is saying, or else you say something true, and it will sound like it's from Neptune." - Noam Chomsky

Chen Zhen

It seems perhaps sequentially patched versions have this in that file:

// Version: 2.0.7;


Whereas anyone who has a full or upgrade version of 2.0.8 or 2.0.9 will not have any (minor) issue.

My SMF Mods & Plug-Ins

WebDev


"Either you repeat the same conventional doctrines everybody is saying, or else you say something true, and it will sound like it's from Neptune." - Noam Chomsky

KVL

 Hello Dear SMF Team,

This two updates (SMF 1.1.21& SMF2.0.10) - is successfully. Had to correct the small problems in the files manually.

Thank you so much, many tan'x for a great job! :)

Kindred

Chen Zhen

This announcement thread is not for support... 
Please do not PM, IM or Email me with support questions.  You will get better and faster responses in the support boards.  Thank you.

"Loki is not evil, although he is certainly not a force for good. Loki is... complicated."

Steve

While I agree announcement threads shouldn't be for support, when it's about an upgrade maybe it should. I read this through this thread first and was relieved to see Chen's post about the version number.

As it is, now I have to go sift through the support threads to see if the other issue with this patch was addressed.

jmo
Please do not PM me for support.

Kindred

thing is -- that version number thing did not fail on any of our testing... which included clean 2.0.9 as well as upgraded/patched 2.0.9 installations

So, Chen's report would seem to be specific to his site (?)
Please do not PM, IM or Email me with support questions.  You will get better and faster responses in the support boards.  Thank you.

"Loki is not evil, although he is certainly not a force for good. Loki is... complicated."

Steve

I had the exact same thing. Test failed in ./Themes/default/languages/index.english.php because it said '// Version: 2.0.7;' ... and I keep up with all updates/patches/etc.
Please do not PM me for support.

Kindred

hmmm...   odd. I have installed it on 12 sites so far and have not seen that issue.
Please do not PM, IM or Email me with support questions.  You will get better and faster responses in the support boards.  Thank you.

"Loki is not evil, although he is certainly not a force for good. Loki is... complicated."

Advertisement: